curl --request POST \
--url https://{environment}.{customerId}.ch.locatee.com/LocateeServerCore/api/v1/wifiMeasurements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectedDevices": [
{
"dateTime": "2018-10-07T08:32:03+00:00",
"clientMacAddress": "00:00:0c:07:ac:fc",
"accessPointBaseRadioMacAddress": "b0:7d:47:c5:a1:13",
"ssid": "CORP-WIFI",
"user": {
"name": "foo.bar@baz.com"
},
"hostname": "MacBook-Pro-2.local",
"rssiMeasurements": [
{
"accessPointMacAddress": "b0:7d:47:c5:a1:13",
"accessPointSlot": "0",
"lastHeard": 2,
"rssi": -23
},
{
"accessPointMacAddress": "b0:7d:47:c5:c2:b0",
"accessPointSlot": "0",
"lastHeard": 5,
"rssi": -60
},
{
"accessPointMacAddress": "b0:93:41:a5:01:fe",
"accessPointSlot": "0",
"lastHeard": 2,
"rssi": -64
}
],
"coordinates": {
"x": 22.328,
"y": 14.948,
"confidence": 4.135
},
"vlan": {
"id": 977,
"name": "OFFICE-DESKS"
}
}
],
"networkDeviceId": 123,
"networkDeviceName": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectedDevices: [
{
dateTime: '2018-10-07T08:32:03+00:00',
clientMacAddress: '00:00:0c:07:ac:fc',
accessPointBaseRadioMacAddress: 'b0:7d:47:c5:a1:13',
ssid: 'CORP-WIFI',
user: {name: 'foo.bar@baz.com'},
hostname: 'MacBook-Pro-2.local',
rssiMeasurements: [
{
accessPointMacAddress: 'b0:7d:47:c5:a1:13',
accessPointSlot: '0',
lastHeard: 2,
rssi: -23
},
{
accessPointMacAddress: 'b0:7d:47:c5:c2:b0',
accessPointSlot: '0',
lastHeard: 5,
rssi: -60
},
{
accessPointMacAddress: 'b0:93:41:a5:01:fe',
accessPointSlot: '0',
lastHeard: 2,
rssi: -64
}
],
coordinates: {x: 22.328, y: 14.948, confidence: 4.135},
vlan: {id: 977, name: 'OFFICE-DESKS'}
}
],
networkDeviceId: 123,
networkDeviceName: '<string>'
})
};
fetch('https://{environment}.{customerId}.ch.locatee.com/LocateeServerCore/api/v1/wifiMeasurements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/LocateeServerCore/api/v1/wifiMeasurements"
payload = {
"connectedDevices": [
{
"dateTime": "2018-10-07T08:32:03+00:00",
"clientMacAddress": "00:00:0c:07:ac:fc",
"accessPointBaseRadioMacAddress": "b0:7d:47:c5:a1:13",
"ssid": "CORP-WIFI",
"user": { "name": "foo.bar@baz.com" },
"hostname": "MacBook-Pro-2.local",
"rssiMeasurements": [
{
"accessPointMacAddress": "b0:7d:47:c5:a1:13",
"accessPointSlot": "0",
"lastHeard": 2,
"rssi": -23
},
{
"accessPointMacAddress": "b0:7d:47:c5:c2:b0",
"accessPointSlot": "0",
"lastHeard": 5,
"rssi": -60
},
{
"accessPointMacAddress": "b0:93:41:a5:01:fe",
"accessPointSlot": "0",
"lastHeard": 2,
"rssi": -64
}
],
"coordinates": {
"x": 22.328,
"y": 14.948,
"confidence": 4.135
},
"vlan": {
"id": 977,
"name": "OFFICE-DESKS"
}
}
],
"networkDeviceId": 123,
"networkDeviceName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Legacy Wireless RSSI Based Readouts
Send a complete readout state of a single network device in terms of connected clients. Each clients location is represented by multiple RSSI measurements as observed by access points. This endpoint is mainly used for measuring network devices such as Cisco WLC, Cisco Meraki or similar. A full readout consists of all known devices (computer, mobile phone, etc) connected to the network device at a given readout time and has to be send as a single request. Each wireless network device can occur at most once in the list.
curl --request POST \
--url https://{environment}.{customerId}.ch.locatee.com/LocateeServerCore/api/v1/wifiMeasurements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectedDevices": [
{
"dateTime": "2018-10-07T08:32:03+00:00",
"clientMacAddress": "00:00:0c:07:ac:fc",
"accessPointBaseRadioMacAddress": "b0:7d:47:c5:a1:13",
"ssid": "CORP-WIFI",
"user": {
"name": "foo.bar@baz.com"
},
"hostname": "MacBook-Pro-2.local",
"rssiMeasurements": [
{
"accessPointMacAddress": "b0:7d:47:c5:a1:13",
"accessPointSlot": "0",
"lastHeard": 2,
"rssi": -23
},
{
"accessPointMacAddress": "b0:7d:47:c5:c2:b0",
"accessPointSlot": "0",
"lastHeard": 5,
"rssi": -60
},
{
"accessPointMacAddress": "b0:93:41:a5:01:fe",
"accessPointSlot": "0",
"lastHeard": 2,
"rssi": -64
}
],
"coordinates": {
"x": 22.328,
"y": 14.948,
"confidence": 4.135
},
"vlan": {
"id": 977,
"name": "OFFICE-DESKS"
}
}
],
"networkDeviceId": 123,
"networkDeviceName": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectedDevices: [
{
dateTime: '2018-10-07T08:32:03+00:00',
clientMacAddress: '00:00:0c:07:ac:fc',
accessPointBaseRadioMacAddress: 'b0:7d:47:c5:a1:13',
ssid: 'CORP-WIFI',
user: {name: 'foo.bar@baz.com'},
hostname: 'MacBook-Pro-2.local',
rssiMeasurements: [
{
accessPointMacAddress: 'b0:7d:47:c5:a1:13',
accessPointSlot: '0',
lastHeard: 2,
rssi: -23
},
{
accessPointMacAddress: 'b0:7d:47:c5:c2:b0',
accessPointSlot: '0',
lastHeard: 5,
rssi: -60
},
{
accessPointMacAddress: 'b0:93:41:a5:01:fe',
accessPointSlot: '0',
lastHeard: 2,
rssi: -64
}
],
coordinates: {x: 22.328, y: 14.948, confidence: 4.135},
vlan: {id: 977, name: 'OFFICE-DESKS'}
}
],
networkDeviceId: 123,
networkDeviceName: '<string>'
})
};
fetch('https://{environment}.{customerId}.ch.locatee.com/LocateeServerCore/api/v1/wifiMeasurements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/LocateeServerCore/api/v1/wifiMeasurements"
payload = {
"connectedDevices": [
{
"dateTime": "2018-10-07T08:32:03+00:00",
"clientMacAddress": "00:00:0c:07:ac:fc",
"accessPointBaseRadioMacAddress": "b0:7d:47:c5:a1:13",
"ssid": "CORP-WIFI",
"user": { "name": "foo.bar@baz.com" },
"hostname": "MacBook-Pro-2.local",
"rssiMeasurements": [
{
"accessPointMacAddress": "b0:7d:47:c5:a1:13",
"accessPointSlot": "0",
"lastHeard": 2,
"rssi": -23
},
{
"accessPointMacAddress": "b0:7d:47:c5:c2:b0",
"accessPointSlot": "0",
"lastHeard": 5,
"rssi": -60
},
{
"accessPointMacAddress": "b0:93:41:a5:01:fe",
"accessPointSlot": "0",
"lastHeard": 2,
"rssi": -64
}
],
"coordinates": {
"x": 22.328,
"y": 14.948,
"confidence": 4.135
},
"vlan": {
"id": 977,
"name": "OFFICE-DESKS"
}
}
],
"networkDeviceId": 123,
"networkDeviceName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
A batch of WiFi measurements
Contains a list of observations about client devices, connected to a wireless network device.
A list of observations about the client devices, connected to this wireless network device.
Show child attributes
Show child attributes
The ID of the queried wireless network device, e.g. a Wireless LAN Controller. Either networkDeviceId or networkDeviceName is required.
Name of the network devices. This is semantically identical to the networkDeviceId.
Response
Successful Operation

